%define name    smoothslidesaver
%define version 0.4.2
%define release %mkrel 1

Summary:        OpenGL KDE Screensaver with Ken Burns Effect
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Url:            http://kde-apps.org/content/show.php/SmoothSlideSaver?content=33197
Group:          Sound
Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdebase-devel 
BuildRequires:  GL-devel 
BuildRequires:  desktop-file-utils

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
 
%description

SmoothSlideSaver is a KDE screensaver which shows images from a directory as
an OpenGL slideshow. It uses the famous Ken Burns effect and smoothly fades
from one image to the next.

You don't need to worry about complicated configuration options, everything
should run smoothly out of the box. Just select a directory with some nice
pictures (e.g., your digital photo collection) and let the show begin :)

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/%{name}.kss
%{_datadir}/applnk/System/ScreenSavers/%{name}.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%build

%configure2_5x \
%ifarch x86_64
  --enable-libsuffix=64
%endif

%make

%install
rm -rf %buildroot

%{makeinstall_std}

desktop-file-install --vendor="" \
  --add-category="KDE" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applnk/System/ScreenSavers $RPM_BUILD_ROOT%{_datadir}/applnk/System/ScreenSavers/%{name}.desktop

%find_lang %{name} --with-html

%clean
rm -rf %buildroot




%changelog
* Tue Apr 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.2-1mdv2007.1
+ Revision: 13645
- Import smoothslidesaver

